| Home | Libraries | People | FAQ | More

#### buffers_iterator_type

Type alias for the iterator type of a buffer sequence type.

##### Synopsis

Defined in header `<boost/beast/core/buffer_traits.hpp>`

    template<
        class BufferSequence>
    using buffers_iterator_type = see-below;

##### Description

This metafunction is used to determine the type of iterator used by a particular buffer sequence.

##### Template Parameters

Type | Description
--- | ---
`T` | The buffer sequence type to use. The resulting type alias will be equal to the iterator type used by the buffer sequence.

Convenience header `<boost/beast/core.hpp>`